OpenVDB: MeanCurvature< MapType, DiffScheme2, DiffScheme1 > Struct Template Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
MeanCurvature< MapType, DiffScheme2, DiffScheme1 > Struct Template Reference

Compute the mean curvature. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static bool | compute (const MapType &map, const Accessor &grid, const Coord &ijk, double &alpha, double &beta)
| Random access version. More...
template<typename Accessor >
static Accessor::ValueType | result (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | normGrad (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static bool | compute (const MapType &map, const StencilT &stencil, double &alpha, double &beta)
| Stencil access version. More...
template<typename StencilT >
static StencilT::ValueType | result (const MapType &map, const StencilT stencil)
template<typename StencilT >
static StencilT::ValueType | normGrad (const MapType &map, const StencilT stencil)

## Detailed Description

template<typename MapType, DDScheme DiffScheme2, DScheme DiffScheme1>
struct openvdb::v10_0::math::MeanCurvature< MapType, DiffScheme2, DiffScheme1 >

Compute the mean curvature.

The mean curvature is returned in two parts, alpha and beta, where alpha is the numerator in ∇ · (∇Φ / |∇Φ|) and beta is |∇Φ|.

## Member Function Documentation

## ◆ compute() [1/2]

static bool compute | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk,
|  | double & | alpha,
|  | double & | beta
| ) |  |
| inlinestatic

Random access version.

Returns
  `true` if the gradient is nonzero, in which case the mean curvature is returned in two parts, alpha and beta, where alpha is the numerator in ∇ · (∇Φ / |∇Φ|) and beta is |∇Φ|.

## ◆ compute() [2/2]

static bool compute | ( | const MapType & | map,
|  | const StencilT & | stencil,
|  | double & | alpha,
|  | double & | beta
| ) |  |
| inlinestatic

Stencil access version.

Returns
  `true` if the gradient is nonzero, in which case the mean curvature is returned in two parts, alpha and beta, where alpha is the numerator in ∇ · (∇Φ / |∇Φ|) and beta is |∇Φ|.

## ◆ normGrad() [1/2]

static Accessor::ValueType normGrad | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## ◆ normGrad() [2/2]

static StencilT::ValueType normGrad | ( | const MapType & | map,
|  | const StencilT | stencil
| ) |  |
| inlinestatic

## ◆ result() [1/2]

static Accessor::ValueType result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## ◆ result() [2/2]

static StencilT::ValueType result | ( | const MapType & | map,
|  | const StencilT | stencil
| ) |  |
| inlinestatic